- Main Page
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# _VlMserFilt Struct Reference

MSER filter. More...

`#include <mser.h>`

## Data Fields
vl_uint * | perm
vl_uint * | joins
int | njoins
Image data and meta data @internal
int | ndims
int * | dims
int | nel
int * | subs
int * | dsubs
int * | strides
Regions
VlMserReg * | r
VlMserExtrReg * | er
vl_uint * | mer
int | ner
int | nmer
int | rer
int | rmer
Ellipsoids fitting
vl_single * | acc
vl_single * | ell
int | rell
int | nell
int | dof
Configuration
vl_bool | verbose
int | delta
double | max_area
double | min_area
double | max_variation
double | min_diversity

## Detailed Description

For internal use only.

See also:
  Maximally Stable Extremal Regions Overview

## Field Documentation

int _VlMserFilt::ndims

number of dimensions

int* _VlMserFilt::dims

dimensions

int _VlMserFilt::nel

number of image elements (pixels)

int* _VlMserFilt::subs

N-dimensional subscript

int* _VlMserFilt::dsubs

another subscript

int* _VlMserFilt::strides

strides to move in image data

vl_uint* _VlMserFilt::perm

pixel ordering

vl_uint* _VlMserFilt::joins

sequence of join ops

int _VlMserFilt::njoins

number of join ops

VlMserReg* _VlMserFilt::r

basic regions

VlMserExtrReg* _VlMserFilt::er

extremal tree

vl_uint* _VlMserFilt::mer

maximally stalbe extremal regions

int _VlMserFilt::ner

number of extremal regions

int _VlMserFilt::nmer

number of maximally stable extr. reg.

int _VlMserFilt::rer

size of er buffer

int _VlMserFilt::rmer

size of mer buffer

vl_single* _VlMserFilt::acc

moment accumulator.

vl_single* _VlMserFilt::ell

ellipsoids list.

int _VlMserFilt::rell

size of ell buffer

int _VlMserFilt::nell

number of ellipsoids extracted

int _VlMserFilt::dof

number of dof of ellipsoids.

vl_bool _VlMserFilt::verbose

be verbose

int _VlMserFilt::delta

delta filter paramter

double _VlMserFilt::max_area

badness test parameter

double _VlMserFilt::min_area

badness test parameter

double _VlMserFilt::max_variation

badness test parameter

double _VlMserFilt::min_diversity

minmium diversity

The documentation for this struct was generated from the following file:

- mser.h